[Bug 421037] New: Fontconfig does not compile w/o libexpat

Do not reply to this via email (we are currently unable to handle email
responses and they get discarded).  You can add comments to this bug at

  GARNOME | general | Ver: 2.18.x

           Summary: Fontconfig does not compile w/o libexpat
           Product: GARNOME
           Version: 2.18.x
          Platform: Other
        OS/Version: All
            Status: UNCONFIRMED
          Severity: normal
          Priority: Normal
         Component: general
        AssignedTo: garnome-maint gnome bugs
        ReportedBy: baris teamforce name tr
         QAContact: garnome-list gnome org
     GNOME version: Unspecified
   GNOME milestone: Unspecified

Please describe the problem:
While trying to compile GNOME 2.18 garnome can't compile fontconfig. 

Error message from make is below:
 /usr/lib/libexpat.so: could not read symbols: File in wrong format

It seems like fontconfig does not have bootstrap/expat in its dependencies.

Steps to reproduce:
1. make paranoid-install
2. Watch garnome quit.

Actual results:
Garnome quits on compiling freedesktop/fontconfig.

Expected results:
It should compile bootstrap/expat in advance, then compile fontconfig.

Does this happen every time?

Other information:
When I compiled bootstrap/expat and installed it fontconfig compiled well.

Configure bugmail: http://bugzilla.gnome.org/userprefs.cgi?tab=email

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]